class CreateBatchLineItems < ActiveRecord::Migration[5.0]
  def change
    create_table :batch_line_items do |t|    
        t.references :batch	  
        t.string     :serial_no , null: false
		    t.string     :asset_identity , null: false    
		    t.string     :manufacture_uid ,null:false
		    t.string     :asset_type,:default => "child"	
        t.datetime   :encoded_at 
        t.datetime   :verified_at
		    t.timestamps null: false
    end 
  end
end